com.brightcove.player.mediacontroller

## Interface ShowHideController

- All Known Implementing Classes:
    BrightcoveMediaController, BrightcoveShowHideController

      public interface ShowHideController

  Defines the facilities for managing media controls visibility. After showing or hiding media controls, a DID_SHOW_MEDIA_CONTROLS or DID_HIDE_MEDIA_CONTROLS SDK event will be emitted with event properties containing the current animation style and timeout value. To determine programmatically if the Brighcove media controls are being displayed, the isShowing() method can be used.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ANIMATION_STYLE_FADE` Use a fading animation style whereby ...
    `static java.lang.String` | `ANIMATION_STYLE_SLIDE` Use a sliding animation style whereby ...
    `static java.lang.String` | `CONTROLS_HEIGHT` The name for the DID_SHOW_MEDIA_CONTROLS event's controls height property.
    `static java.lang.String` | `DID_HIDE_MEDIA_CONTROLS` Standard event type used to notify an app that media controls are hidden.
    `static java.lang.String` | `DID_SHOW_MEDIA_CONTROLS` Standard event type used to notify an app that media controls are showing.
    `static java.lang.String` | `HIDE_MEDIA_CONTROLS` Standard event type used to emit and listen for hiding media controls.
    `static java.lang.String` | `SHOW_HIDE_ANIMATION_STYLE` Event property key selecting an animation style, a String constant.
    `static java.lang.String` | `SHOW_HIDE_RESOURCES` Event property key specifying the Android resource identifiers to either show or hide.
    `static java.lang.String` | `SHOW_HIDE_TIMEOUT` Event property key specifying delay (in milliseconds, default is three seconds) from showing to hiding the media controls.
    `static java.lang.String` | `SHOW_MEDIA_CONTROLS` Standard event type used to emit and listen for showing media controls.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `hide()` Hides the media controls.
    `boolean` | `isShowing()` Determines whether or not the media controls are showing.
    `void` | `show()` Shows the media controls.

- - ### Field Detail

    - #### SHOW_MEDIA_CONTROLS

          static final java.lang.String SHOW_MEDIA_CONTROLS

      Standard event type used to emit and listen for showing media controls.
      See Also:
        Constant Field Values

    - #### HIDE_MEDIA_CONTROLS

          static final java.lang.String HIDE_MEDIA_CONTROLS

      Standard event type used to emit and listen for hiding media controls.
      See Also:
        Constant Field Values

    - #### DID_SHOW_MEDIA_CONTROLS

          static final java.lang.String DID_SHOW_MEDIA_CONTROLS

      Standard event type used to notify an app that media controls are showing.
      See Also:
        Constant Field Values

    - #### DID_HIDE_MEDIA_CONTROLS

          static final java.lang.String DID_HIDE_MEDIA_CONTROLS

      Standard event type used to notify an app that media controls are hidden.
      See Also:
        Constant Field Values

    - #### CONTROLS_HEIGHT

          static final java.lang.String CONTROLS_HEIGHT

      The name for the DID_SHOW_MEDIA_CONTROLS event's controls height property.
      See Also:
        Constant Field Values

    - #### SHOW_HIDE_ANIMATION_STYLE

          static final java.lang.String SHOW_HIDE_ANIMATION_STYLE

      Event property key selecting an animation style, a String constant. See the default supported styles below.
      See Also:
        Constant Field Values

    - #### SHOW_HIDE_TIMEOUT

          static final java.lang.String SHOW_HIDE_TIMEOUT

      Event property key specifying delay (in milliseconds, default is three seconds) from showing to hiding the media controls.
      See Also:
        Constant Field Values

    - #### SHOW_HIDE_RESOURCES

          static final java.lang.String SHOW_HIDE_RESOURCES

      Event property key specifying the Android resource identifiers to either show or hide.
      See Also:
        Constant Field Values

    - #### ANIMATION_STYLE_FADE

          static final java.lang.String ANIMATION_STYLE_FADE

      Use a fading animation style whereby ...
      See Also:
        Constant Field Values

    - #### ANIMATION_STYLE_SLIDE

          static final java.lang.String ANIMATION_STYLE_SLIDE

      Use a sliding animation style whereby ...
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### show

          void show()

      Shows the media controls.

    - #### hide

          void hide()

      Hides the media controls.

    - #### isShowing

          boolean isShowing()

      Determines whether or not the media controls are showing.
      Returns:
        `TRUE` iff the media controls are showing, false otherwise.